<?php  
class ControllerModuleTreeCategory extends Controller {
	
	protected $category_id = 0;
	protected $path = array();
	
	protected function index() {
		
		$this->document->addStyle('catalog/view/javascript/tree_category/dtree.css');  // add styles
		$this->document->addScript('catalog/view/javascript/tree_category/dtree.js'); //load the javascripts


		$this->language->load('module/tree_category');
		
    	$this->data['heading_title'] = $this->language->get('heading_title');
		
		$this->load->model('catalog/tree_category');
		$this->load->model('tool/seo_url');
		
		if (isset($this->request->get['path'])) {
			$this->path = explode('_', $this->request->get['path']);
			
			$this->category_id = end($this->path);
		}
		
		$this->data['categories_tree'] = $this->getCategories(0);
													
		$this->id = 'tree_category';
		
		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/tree_category.tpl')) {
			$this->template = $this->config->get('config_template') . '/template/module/tree_category.tpl';
		} else {
			$this->template = 'default/template/module/tree_category.tpl';
		}
		
		$this->render();
  	}
	
	protected function getCategories($parent_id, $current_path = '') {
            
			$output = '';
            
            $results = $this->model_catalog_tree_category->getCategories($parent_id);
		
			foreach ($results as $result) {    
			
				 if (!$current_path) {
                    $new_path = $result['category_id'];
                } else {
                    $new_path = $current_path . '_' . $result['category_id'];
                }
				
				
				if( $this->config->get('tree_category_counter')>0) $totalProducts = " (".$this->model_catalog_tree_category->getTotalproductsByCategoryId($result['category_id']).")";
				else $totalProducts = '';
				
				$url = $this->model_tool_seo_url->rewrite(HTTP_SERVER . "index.php?route=product/category&path=" . $new_path);
				
				if ($parent_id > 0) {
				
					$output .= "d.add(".$result["category_id"].",".$result["parent_id"].",'".$result["name"].$totalProducts."','".$url."');\n";
				
				} else {
			
					$output .= "d.add(".$result['category_id'].",".$result["parent_id"].",'".$result["name"].$totalProducts."','".$url."');\n";
				
				}
				
				$output .= $this->getCategories($result['category_id'], $new_path);
			}

            return $output;
        } 		
}
?>